package com.muyu.enterprise.cache.car;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.CarInformation;
import com.muyu.domain.resp.CarInformationResp;

import java.util.List;

/**
 * 分页查询车辆信息
 * @Author：yang
 * @Package：com.muyu.cache
 * @Project：cloud-server-8
 * @name：VehicleCacheService
 * @Date：2024/9/30 11:50
 */
public class VehicleCacheCarInformationRespService extends CacheAbsBasic<String, Page<CarInformationResp>> {
    @Override
    public String keyPre() {
        return "CarInformationResp:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:","");
    }
}
